Subject: Re: [PATCH v27 0/2] status: add status.compareBranches config for multiple branch comparisons

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Jan 2026 11:20:17 -0800

Harald Nordgren <[email-masked]> writes:

>> Before these list of CC's (which does not seem to have any effect,
>> by the way.  The message is going only to the list with your
>> personal address on CC: and to nobody else), ...
>
> Hmm, I always just the 'git send-email' snippet from example here:
> https://lore.kernel.org/git/[email-masked]/, which for this
> message is:
>
>   git send-email \
>     --in-reply-to=[email-masked] \
>     --to=[email-masked] \
>     --cc=[email-masked] \
>     --cc=[email-masked] \
>     --cc=[email-masked] \
>     --cc=[email-masked] \
>     /path/to/YOUR_REPLY

But the patch you sent was not using "git send-email", was it?  I am
not sure where those annoying and unused CC addresses comes from,
but it would be from GGG, not from "git send-email", I suspect.

>> ... please summarize
>> 
>>  (1) what this series of patches are about, to help those who
>>      encounter these patches for the first time, and
>> 
>>  (2) what changed in this iteration (v27) relative to the previous
>>      iteration (v26).
>> 
>> I happen to have seen your other message so I can guess this is
>> about deduping when more than one comparison target is listed and
>> some happen to become the same branches, but others may not have
>> seen that other message, and it is not helpful to just dump the
>> range-diff and force them to read it to deduce what you did.
>
> Fair point, but I always always use GitGitGadget to submit patches to here,
> I'm sure sure if there is a way to do that from there?

Sorry, I do not work on or use GGG; other users of it may be able to
chime in?

Thanks.